{
	"format_version":"1.10",
	"animation_controllers":{
		"controller.animation.distance_armor_stand":{
			"initial_state":"off",
			"states":{
				"on":{
					"particle_effects":[
						{"effect":"distance_setup", "locator":"block_locator"}
					]
				},
				"off":{
					"transitions":[{"on":"query.is_item_name_any('slot.weapon.mainhand', 0, 'minecraft:fishing_rod')"}]
				}
			}
		}
	}
}